﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace MyClock
{
    public partial class ChangeConf : Form
    {
        public ChangeConf()
        {
            InitializeComponent();
        }

        private void ChangeConf_Load(object sender, EventArgs e)
        {
            // <Ver 1.16.4>不要な Alarm.exe の削除
            DeleteAlarmFile();
        }

        // <Ver 1.16.4>不要な Alarm.exe の削除
        private void DeleteAlarmFile()
        {
            bool err = false;
            string path, fullPath = "";
            try
            {
                // MyClock.exe のパスを取得し、Alarm.exe のフルパスを得る
                path = System.IO.Path.GetDirectoryName(
                    Application.ExecutablePath);
                fullPath = path + "\\Alarm.exe";
                // Alarm.exe の存在を確認する
                err = !System.IO.File.Exists(fullPath);

            }
            catch (ArgumentException)
            {
                err = true;
            }
            catch (System.IO.IOException)
            {
                err = true;
            }
            catch (System.UnauthorizedAccessException)
            {
                err = true;
            }

            if (!err)
            {
                string msg = "古い Alarm.exe が MyClock と同じフォルダで見つかりました.\n";
                msg += "今は不要なので削除します.\n\n";
                msg += "いいですか？";
                var result = MessageBox.Show(msg, About.getAssemblyProduct(),
                                    MessageBoxButtons.YesNo, MessageBoxIcon.Information);
                if (result == DialogResult.Yes)
                {
                    // Alarm.exe を削除する
                    System.IO.File.Delete(@fullPath);
                    msg = "本バージョンでは Alarm.exe ファイルが不要なので、\r\n";
                    msg += "古い Alarm.exe を削除しました。";
                    textBox_desc.Text = msg;
                }
                else
                {
                    Dispose();
                }
            }
            else
            {
                Dispose();
            }
        }
    }
}
